
Foreman - Feature #3646

Default root name for api json single object response to no root node but make it configurable

11/14/2013 10:49 AM - Dominic Cleal

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

As per the discussion here, the single object APIv2 response should have a "result" top node which is configurable:

https://github.com/theforeman/theforeman.org/pull/106#discussion_r7252476

This follows #3011 which changed the index response.

Related issues:

Related to Foreman - Feature #3011: default root name for api json index resp... Closed 09/02/2013

Associated revisions

Revision 15d91324 - 11/27/2013 12:32 PM - Joseph Magen

fixes #3646 - API v2 change default root name for api json single object response to no root node but make it configurable

History

#1 - 11/14/2013 10:49 AM - Dominic Cleal

- Related to Feature #3011: default root name for api json index response to :results but make it configurable added

#2 - 11/19/2013 10:27 AM - Joseph Magen

- Subject changed from Default root name for api json single object response to :result but make it configurable to Default root name for api json single

object response to no root node but make it configurable

- Status changed from New to Assigned

#3 - 11/19/2013 10:31 AM - Joseph Magen

- Assignee set to Joseph Magen

updated discussion about this topic - https://github.com/theforeman/theforeman.org/pull/119

#4 - 11/27/2013 09:46 AM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

- Target version set to 1.10.0

- translation missing: en.field_release set to 2

https://github.com/theforeman/foreman/pull/1058

#5 - 11/27/2013 01:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 15d91324edcd6d636eeb69302273a63f38067a3d.
